Name:          mixxx
Version:       2.1.4
Release:       1mamba
Summary:       An open source DJ tool designed for both professional and amateur DJs alike
Group:         Graphical Desktop/Applications/Multimedia
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://mixxx.sourceforge.net
Source:        https://github.com/mixxxdj/mixxx/archive/release-%{version}.tar.gz
Source1:       mixxx-desktop
Patch:         %{name}-1.5.0-libs.patch
Patch1:        %{name}-1.7.2-mp4.patch
License:       GPL
BuildRoot:     %{_tmppath}/%{name}-%{version}-root
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libalsa-devel
BuildRequires: libdjconsole-devel
BuildRequires: libfaad2-devel
BuildRequires: libgcc
BuildRequires: libGL-devel
BuildRequires: libglib-devel
BuildRequires: libGLU-devel
BuildRequires: libgpod-devel
BuildRequires: libgtk-devel
BuildRequires: libid3tag-devel
BuildRequires: liblame-devel
BuildRequires: libmad-devel
BuildRequires: libmp4v2-devel
BuildRequires: libogg-devel
BuildRequires: libportaudio-devel
BuildRequires: libqt4-devel
BuildRequires: libshout-devel
BuildRequires: libsndfile-devel
BuildRequires: libstdc++6-devel
BuildRequires: libvorbis-devel
## AUTOBUILDREQ-END
BuildRequires: libchromaprint-devel >= 1.3.1-1mamba
BuildRequires: libsndfile-devel >= 1.0.17
BuildRequires: libjack-devel >= 0.102.20
#BuildRequires: lua-devel >= 5.0.3
#BuildRequires: tolua >= 5.0
BuildRequires: libpython-devel >= 2.4.4
BuildRequires: libportmidi-devel
BuildRequires: libprotobuf-devel >= 1.6.1
BuildRequires: scons
BuildRequires: libtag-devel >= 1.9

%description
Mixxx is an open source DJ tool designed for both professional and amateur DJs alike.
Mixxx allows DJs to mix music live with a clean, simple interface.
Futhermore, Mixxx has a number of key features to help DJs in the mix: Beat estimation, parallel visual displays, and support for various DJ hardware controllers.

%prep
%setup -q -n mixxx-release-%{version}
#%patch -p1
%patch1 -p1

%build
#scons \
#   prefix=%{_prefix} qtdir=%{_qt4_prefix} \
#   ipod=1 ladspa=1 djconsole=1 shoutcast=1 tonal=1 m4a=1 script=1 test=1 jack=1

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
scons \
   prefix=%{_prefix} install_root=%{buildroot}%{_prefix} qtdir=%{_qt4_prefix} \
   djconsole=1 shoutcast=1 tonal=1 m4a=1 jack=1 \
   install

install -m0644 %{SOURCE1} %{buildroot}%{_datadir}/applications/mixxx.desktop
## Warning: INSTALL_ROOT is passed this way as a trick
#make install -C src INSTALL_ROOT=%{buildroot}%{_builddir}/%{name}-%{version}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/mixxx
%dir %{_prefix}/lib/mixxx
%dir %{_prefix}/lib/mixxx/plugins
%dir %{_prefix}/lib/mixxx/plugins/vamp
%{_prefix}/lib/mixxx/plugins/vamp/libmixxxminimal.so
%{_datadir}/applications/mixxx.desktop
%{_datadir}/appdata/mixxx.appdata.xml
%dir %{_datadir}/mixxx
%dir %{_datadir}/mixxx/controllers
%{_datadir}/mixxx/controllers/*
%dir %{_datadir}/mixxx/keyboard
%{_datadir}/mixxx/keyboard/*.cfg
%dir %{_datadir}/mixxx/skins
#%{_datadir}/mixxx/midi/*
%{_datadir}/mixxx/skins/*
%{_datadir}/pixmaps/mixxx-icon.png
#%{_datadir}/mixxx/ladspa_presets/*.xml
#%{_libdir}/mixxx/plugins/soundsource/libsoundsourcem4a.so
%{_docdir}/mixxx/LICENSE
%{_docdir}/mixxx/Mixxx-Manual.pdf
%{_docdir}/mixxx/README
#%{_datadir}/mixxx/schema.xml
%{_datadir}/mixxx/translations/mixxx_*.qm
#%{_docdir}/mixxx-%{version}/*
%dir %{_datadir}/mixxx/fonts
%{_datadir}/mixxx/fonts/OpenSans*
%{_datadir}/mixxx/fonts/Ubuntu*
%doc COPYING LICENSE
#README README.macro Mixxx-Manual.pdf

%changelog
* Wed Oct 03 2018 Automatic Build System <autodist@mambasoft.it> 2.1.4-1mamba
- automatic version update by autodist

* Tue Sep 04 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1.3-1mamba
- update to 2.1.3

* Sun Jul 29 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1.1-1mamba
- update to 2.1.1

* Tue Mar 29 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.0-2mamba
- rebuilt by autoport with build requirements: libchromaprint-devel>=1.3.1-1mamba

* Thu Jan 14 2016 Automatic Build System <autodist@mambasoft.it> 2.0.0-1mamba
- automatic version update by autodist

* Sat Nov 14 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 1.11.0-3mamba
- rebuilt with libtag 1.9.1

* Tue Nov 19 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 1.11.0-2mamba
- rebuilt with protobuf 2.5.0

* Wed May 22 2013 Automatic Build System <autodist@mambasoft.it> 1.11.0-1mamba
- automatic version update by autodist

* Sat Aug 11 2012 Automatic Build System <autodist@mambasoft.it> 1.10.1-1mamba
- automatic version update by autodist

* Sat May 05 2012 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 1.10.0-1mamba
- update to 1.10.0

* Fri Mar 25 2011 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 1.9.0-1mamba
- update to 1.9.0

* Tue Feb 09 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.7.2-2mamba
- replace hard coded paths with parameters
- added automatic build requirements
- (re)add correct prefix to scons script
- enabled support for ffmpeg, mp4, tonal analisys, scripting and test suite
- provide desktop file with translated descriptions and execution without pasuspend

* Sun Feb 07 2010 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 1.7.2-1mamba
- update to 1.7.2

* Sun Nov 02 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.6.1-1mamba
- update to 1.6.1

* Thu Oct 25 2007 Aleph0 <aleph0@openmamba.org> 1.5.0.1-2mamba
- rebuilt without deprecated lua support

* Thu May 10 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 1.5.0.1-1mamba
- package created by autospec
